{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous" />

    <title>Notes List Table</title>
    <style>
      body {
        background-image: url("https://4kwallpapers.com/images/walls/thumbs_3t/1455.jpg");
        background-size: cover;
      }
      .main_content {
        margin-top: 20px;
        padding-left: 100px;
        padding-right: 130px;
        font-family: Arial, sans-serif;
        font-size: 16px;
        font-weight: bold;
        color: rgb(255, 255, 255);
        height: 800px;
        display: flex;
        flex-direction: column;
        justify-content: center center;
        align-items: center;
      }
      .box {
        width: 100%;
        padding: 20px;
        border-radius: 6px;
        background: rgba(0, 0, 0, 0.5);
        box-shadow: 0 0 8px #ffffff;
      }

      #rcorners {
        border-radius: 15px;
        background: rgba(0, 0, 0, 0.5);
        padding: 20px;
        width: 200px;
        height: fit-content;
      }
    </style>
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-dark" style="background-color: rgba(0, 0, 0, 0.5)">
      <div class="container-fluid">
        <a class="navbar-brand" href="/lab-1">
          <img src="{% static 'images/logo.png' %}" alt="" width="30" height="24">
          MYMY's Site</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-4">Note Table</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/lab-4/note-list">Note Card</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/lab-4/add-note">Add Note</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <div class="main_content">
      <p style="font-size: 48px; font-weight: bold; text-align: center; text-shadow: 4px 4px 6px #222222">Notes Table</p>
      <div class="box">
        <table class="table table-borderless" style="color: #ffffff">
          <thead>
            <tr>
              <th scope="col">To</th>
              <th scope="col">From</th>
              <th scope="col">Title</th>
              <th scope="col">Notes</th>
            </tr>
          </thead>
          <tbody>
            {% for i in notes %}
            <tr>
              <td>{{i.note_to}}</td>
              <td>{{i.note_from}}</td>
              <td>{{i.note_title}}</td>
              <td>{{i.note_msg}}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </body>
</html>
